Bug 215739 - Kernel panic on first boot after install.
Kernel panic on first boot after install.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-11-15 10:16 EST by Dave Rogers
Modified: 2008-01-08 14:39 EST (History)
2 users (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 14:39:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Rogers 2006-11-15 10:16:59 EST
Description of problem: When rebooting for the first time after successfully
installing FC6 (i386) I get a kernel panic. The messages indicate that it tried
to remount / cannot find any of the directories (/proc, swap, ...). This system
was (and is now again) running FC5 fine. I also tried installing x86_64 version
and got the same results. I booted the rescue CD and was able to swap root to it OK.

System is an Athlon 64 X2 4600 on an Asus A8N-SLI Delux mobo.


Version-Release number of selected component (if applicable):


How reproducible: 


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Rogers 2006-11-15 11:00:13 EST
Appears to be similar to some other reports: 204458,205650,208617)
Comment 2 Dave Rogers 2006-11-17 15:59:01 EST
This mobo has 4 IDE ports, 4 SATA ports and 4 SATA RAID ports. I have two 200GB
SATA drives and 2 300 GB sata drives. No matter which order I plug the drives in
to either the SATA or the SATA RAID ports it always choses one of the 300 Gb
drives as /dev/sda. 

It is obvious that there was a big change between FC5 and FC6 in how the disks
are mapped. I previously had this system configured with the 2 200 GB disks as
SATA and the 2 300GB disks as a RAID 1 (stripped) SATA RAID. SATA 0 was mapped
as /dev/sda under FC4 and FC5. Now it always gets mapped as /dev/sdc under FC6.
It appears that FC6 cannot boot from a root or boot filesystem on /dev/sdc. So
when I install FC6 in the system with the 300GB disks installed it panics on
first boot after the install. If I remove the 300GB disks, install FC6 and then
all is fine. 

So I gues the new algorithm is: "which ever disk is the largest becomes /dev/sda
regardless of how they are connected".
Comment 3 Jon Stanley 2008-01-07 20:49:50 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 4 Dave Rogers 2008-01-08 14:14:32 EST
I believe this was actually fixed in FC6

Note You need to log in before you can comment on or make changes to this bug.